## dods.util
Class InvalidSwitch

    java.lang.Object
      java.lang.Throwable
          dods.util.InvalidSwitch

All Implemented Interfaces:
  Serializable

public class InvalidSwitch
extends Throwable

Exception throwable by the Getopts class

See Also:
  Serialized Form

Constructor Summary
`InvalidSwitch()` Used when no notification string other than the standard one will be thrown with the exception.
`InvalidSwitch(String s)` Used when passing the string that will be thrown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidSwitch

    public InvalidSwitch()

  Used when no notification string other than the standard one will be thrown with the exception.

### InvalidSwitch

    public InvalidSwitch(String s)

  Used when passing the string that will be thrown.

Parameters:
  `s` - the error string that is notified